"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.coerceConsentModel = void 0;
const onetrust_api_1 = require("../lib/onetrust-api");
/**
 *  We don't support all consent models, so we need to coerce them to the ones we do support.
 */
const coerceConsentModel = (model) => {
    switch (model) {
        case onetrust_api_1.OtConsentModel.optIn:
        case onetrust_api_1.OtConsentModel.implicit:
            return 'opt-in';
        case onetrust_api_1.OtConsentModel.optOut:
            return 'opt-out';
        default: // there are some others like 'custom' / 'notice' that should be treated as 'opt-out'
            return 'opt-out';
    }
};
exports.coerceConsentModel = coerceConsentModel;
//# sourceMappingURL=consent-model.js.map